[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStream.Position

The current position in the stream.

## Declaration

Source position: classesh.inc line 975

`public property TStream.Position : Int64 read GetPosition write SetPosition;`

## Description

Position can be read to determine the current position in the stream. It can be written to set the (absolute) position in the stream. The position is zero-based, so to set the position at the beginning of the stream, the position must be set to zero.

Remark: | Not all TStream descendants support setting the position in the stream, so this should be used with care.

## Errors

Some descendants may raise an EStreamError exception if they do not support setting the stream position.

## See also

TStream.Size |  | The current size of the stream.
TStream.Seek |  | Sets the current position in the stream